#!/bin/bash

FUSESOURCE="/srv/irods"
GABBSSECRETS="/etc/gabbs.secrets"

#find web user
if [ $(lsb_release -is) == 'Debian' ]; then
        WEBUSER='www-data'
elif [ $(lsb_release -is) == 'RedHat' ]; then
        WEBUSER='apache'
else
        WEBUSER='apache'
fi

GABBSPASSWD=$(awk -F "=" '/GABBSPASSWD/ {print $2}' $GABBSSECRETS)

if [ $1 = "status" ]; then
	if mount | awk '{print $3}' | grep -q "$FUSESOURCE"; then
		echo "iRODS FUSE mount up and running"
	else
		echo "iRODS FUSE mount does not exist or is not responding !"
	fi
elif [ $1 = "stop" ]; then
	sudo -u $WEBUSER fusermount -u $FUSESOURCE

elif [ $1 = "start" ]; then
	if mount | awk '{print $3}' | grep -q "$FUSESOURCE"; then
		echo "iRODS FUSE mount already up and running"
	else
		sudo -u $WEBUSER iinit $GABBSPASSWD
		sudo -u $WEBUSER irodsFs -o nonempty,allow_other $FUSESOURCE
	fi
		
fi
